from django.apps import AppConfig
from apscheduler.schedulers.asyncio import AsyncIOScheduler

scheduler_instance = AsyncIOScheduler()

class SchedulerConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'scheduler'
    verbose_name = 'Планировщик задач'
    def ready(self):
        """
        Метод ready вызывается при старте приложения.
        Здесь не нужно запускать scheduler_instance.start(), чтобы избежать ошибок.
        """
        pass
